View Issue Details

IDProjectCategoryView StatusLast Update
0002931ScribusImport / Exportpublic2016-04-20 15:23
ReporterplinnellAssigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version1.3.3cvs 
Target VersionFixed in Version 
Summary0002931: Metabug: SVG
DescriptionCollect all the SVG bugs here.

==PLEASE DON'T ADD ANY COMMENTS TO THIS METABUG==

If you wish to be notified about issues related to SVG, please click on the "Monitor Issue" button
Additional InformationNote: Ongoing list of SVG elements supported in Scribus https://gist.github.com/luzpaz/712fc8cdff669b059256

See the whole list of metabugs: http://wiki.scribus.net/index.php/Metabugs
TagsNo tags attached.
PatchNo

Relationships

related to 0003783 new interoperability with external file formats (e.g. SVG) 
related to 0003113 closedfschmid Color substitution. 
related to 0003031 feedback Add an option to export a selection as bitmap, EPS, or SVG 
related to 0003437 closedcbradney Misleading menu entry: Save page as EPS 
related to 0003688 closedcbradney Menu entry for SVG import is gone 
related to 0003295 closedpierremarchand Display problems when entering rotation from keyboard 
related to 0002114 closedcbradney Visual warning of low-res images 
related to 0003662 closed Misleading dialog: "File > Open" 
related to 0000889 acknowledged inverse bezier tool handling 
related to 0003571 closedfschmid File->Open offers all registered file formats, even PDF 
related to 0003107 closedfschmid Group objects in outline view. 
related to 0002800 closedringerc Wanted option to import EPS or SVG into a new document. 
related to 0001850 closedplinnell need to include a sample SVG in templates or in the docs 
related to 0002097 closedringerc Re-write plugin API 
related to 0002295 closedsubik set the scribus filename as the standard name for svg/eps export 
related to 0002364 closedcbradney svg colorset does not contain colours named "Black" and "White" so Scribus creates them 
related to 0002260 acknowledged Metabug: Long-running code that blocks the UI 
related to 0002052 closedplinnell SVG break colors and characters in PDF 
related to 0002160 closedringerc Import SVGs with Python 
related to 0001622 acknowledged questioning the import menu 
related to 0001621 closedcbradney inserting frames through the menus 
related to 0001933 closedfschmid Groups break, when duplicated an magnetic grid is activated 
related to 0001459 closedfschmid Control drag for proportional resize doesnt work on imported vectors 
related to 0001465 closedfschmid Scribus crashes on attached file 
related to 0000499 closedfschmid svg text and box import don't work correctly 
related to 0003854 closedcbradney Text frame does not update 
related to 0005445 closedjghali SVG import : support for symbol element 
related to 0005443 closed gradient and blur not imported 
related to 0005405 closedjghali SXD/ODF/SVG import : text alignement not correct when importing file in a new doc 
related to 0004732 new SVG test cases 
parent of 0001914 closedfschmid Exported SVG does not center correctly on page in other SVG viewers 
parent of 0002392 closedjghali Import SVG messes up position of text frame and loses font style 
parent of 0002550 closedplinnell can't import svg file created by lilypond 
parent of 0003278 closedjghali SVG gradients don't import correctly 
parent of 0003670 closed SVG cannot be flipped 
parent of 0003440 closedjghali SVG import does not handle <use> tags 
parent of 0003774 closedjghali wrong svg export/import 
parent of 0003303 closedjghali Import Inkscape SVG produces wrong output in Scribus 
parent of 0003441 closedcbradney request ability to reference external SVGs as images without importing 
parent of 0000393 acknowledged SVG inside a picture frame 
parent of 0003714 closedfschmid SVG import causes GUI freeze 
parent of 0003689 closed SVG rotates not about center 
parent of 0001701 closedfschmid SVG Layer support 
parent of 0000969 closedjghali SVG text alignment wrong 
parent of 0002329 closedjghali SVG file with text - wrongly aligned, not scalable 
parent of 0001862 closed SVG object problems when adding new pages 
parent of 0001913 closedsubik Save as SVG compressed adds incorrect extension 
parent of 0002257 closedcbradney Importing svg leads to crash 
parent of 0002526 closedavox SVG import fails if document is open 
parent of 0001329 closedfschmid SVG import: incorrect font-style and font-family 
parent of 0002221 closedfschmid scribus crash with signal 0000006 or complete freeze while trying to import complex svg files 
parent of 0002308 closedjghali svg import of lines stroked by gradients 
parent of 0001260 closedjghali text of inkscape svg shows as boxes 
parent of 0002789 closedsubik Warn user if SVG with incompatible features encountered 
parent of 0002222 closedjghali SVG import failure 
parent of 0002309 closedfschmid SVG import crashes with attached file 
parent of 0002220 closedringerc scribus crash with signal 0000006 or complete freeze while trying to import omple svg files 
parent of 0001935 closedfschmid Some SVG are imported wrong 
parent of 0001580 closedfschmid Importing a by inkscape exported .svg results in bad rotations, missing gradients, missing arrows, translated objects, ... 
parent of 0001494 closedcbradney Scribus crashes on Attached file (pdf-export) 
parent of 0001506 closedfschmid SVG imported -- rotation spinbox not only rotates, but also displaces the SVG 
parent of 0001446 closedfschmid SVG doesnt import / render large files 
parent of 0001328 closedfschmid SVG Import: incorrect units 
parent of 0001240 closedfschmid Scribus crashed while importing an Svg file from inkscape. 
parent of 0000583 closedfschmid if I try to change the level of a group, only the level of one object is changed 
parent of 0000921 closedfschmid importing SVG does not set save flag 
parent of 0000891 closedfschmid gradients position does not change when objects are re-sized 
parent of 0000892 closedfschmid resizing imported svg with rotated elements hurts gradients 
parent of 0000852 closedplinnell import SVG, export PDF, import SVG again => crash 
parent of 0000851 closedfschmid SVG import does not support paths properly 
parent of 0000736 closedfschmid All Objects in an SVG are imported at 120 % of their original Size 
parent of 0000729 closedfschmid Importing SVG with gradient sometimes misses the colors 
parent of 0000715 closedfschmid When using Free Linear Gradient, importing an SVG can change the gradient 
parent of 0000394 closedfschmid SVG: vertical gradient imported as horizontal gradient 
parent of 0000625 closedfschmid Suggestion for Speed up of SVG Import 
parent of 0000495 closedfschmid unclosed SVG paths not importing properly 
parent of 0000375 closedfschmid SVG: problem importing paths 
parent of 0000374 closedcbradney transparency printed wrong 
parent of 0003847 closedjghali Radial Gradients in SVG do not import correctly 
parent of 0003846 closedjghali SVG import plugin may produce incorrect results if other languages than en_us or en_gb are used 
parent of 0004120 closedjghali SVG import incorrectly handle transparency 
parent of 0004195 closedjghali SVG import is broken - example image available. 
parent of 0004435 closedjghali SVG file does not import correctly 
parent of 0012027 confirmed Wrong import of SVG file 
parent of 0012305 confirmed Some SVG files not properly imported by Scribus 
parent of 0012525 confirmed GraphicsMagick won't export SLA because of SVG, "Failed to load an image mask" 
parent of 0009078 confirmed Incorrect Import of SVG File. 
parent of 0012187 new SVG not well imported 
parent of 0012250 closedfschmid SVG arrows not imported 
parent of 0012770 new Patterns and groups in SVG import 
parent of 0012771 closedfschmid Some patterns imported to incorrect level and therefore aren't visible 
parent of 0013495 new SVG image imported incorrectly 
parent of 0012252 closedfschmid Wrong import of SVG gradient + Crash (file attached) 
parent of 0010841 new importing an SVG with rasterized effects does not work 
parent of 0010112 confirmed Placed PDF distorted 
parent of 0013968 new SVG import lacking precision 
Not all the children of this issue are yet resolved or closed.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2005-12-22 22:43 plinnell New Issue
2005-12-22 22:44 plinnell Relationship added related to 0002329
2005-12-22 23:00 plinnell Relationship added parent of 0001914
2005-12-23 00:26 plinnell Relationship added related to 0002550
2005-12-25 03:41 ringerc Status new => acknowledged
2006-01-30 13:14 plinnell Relationship added parent of 0002392
2006-02-28 22:35 jo-hannes Relationship added child of 0003303
2006-03-27 02:12 ringerc Relationship added related to 0003278
2006-04-19 22:38 mhanski Relationship added related to 0003670
2006-04-19 22:41 mhanski Relationship added related to 0003440
2006-04-22 08:59 mhanski Relationship added parent of 0003689
2006-05-09 17:35 christoph_s Relationship added related to 0003774
2006-05-17 18:25 christoph_s Relationship added related to 0003783
2006-05-17 18:27 christoph_s Relationship deleted child of 0003303
2006-05-17 18:27 christoph_s Relationship deleted related to 0003774
2006-05-17 18:28 christoph_s Relationship deleted related to 0003440
2006-05-17 18:28 christoph_s Relationship deleted related to 0003670
2006-05-17 18:28 christoph_s Relationship deleted related to 0003278
2006-05-17 18:29 christoph_s Relationship deleted related to 0002550
2006-05-17 18:29 christoph_s Relationship deleted related to 0002329
2006-05-17 18:29 christoph_s Relationship deleted parent of 0003689
2006-05-17 18:30 christoph_s Relationship added parent of 0002550
2006-05-17 18:32 christoph_s Relationship added parent of 0003278
2006-05-17 18:32 christoph_s Relationship added related to 0003670
2006-05-17 18:33 christoph_s Relationship replaced parent of 0003670
2006-05-17 18:34 christoph_s Relationship added parent of 0003440
2006-05-17 18:34 christoph_s Relationship added parent of 0003774
2006-05-17 18:35 christoph_s Relationship added parent of 0003303
2006-05-17 18:35 mhanski Description Updated
2006-05-17 18:36 christoph_s Relationship added related to 0003113
2006-05-17 18:36 christoph_s Relationship added related to 0003031
2006-05-17 18:36 christoph_s Relationship added parent of 0003441
2006-05-17 18:37 christoph_s Relationship added parent of 0000393
2006-05-17 18:38 mhanski Summary SVG Metabug => Metabug: SVG
2006-05-17 18:38 christoph_s Relationship added related to 0003437
2006-05-17 18:39 christoph_s Relationship added parent of 0003714
2006-05-17 18:40 christoph_s Relationship added related to 0003688
2006-05-17 18:42 christoph_s Relationship added related to 0003295
2006-05-17 18:45 christoph_s Relationship added parent of 0003689
2006-05-17 18:46 christoph_s Relationship added related to 0002114
2006-05-17 18:53 christoph_s Relationship added related to 0003662
2006-05-17 18:54 christoph_s Relationship added related to 0000889
2006-05-17 18:55 christoph_s Relationship added parent of 0001701
2006-05-17 18:57 christoph_s Relationship added related to 0003571
2006-05-17 19:02 christoph_s Relationship added related to 0003107
2006-05-17 19:04 christoph_s Relationship added parent of 0000969
2006-05-17 19:05 christoph_s Relationship added parent of 0002329
2006-05-17 19:06 christoph_s Relationship added parent of 0001862
2006-05-17 19:09 christoph_s Relationship added parent of 0001913
2006-05-17 19:10 christoph_s Relationship added related to 0002800
2006-05-17 19:10 christoph_s Relationship added parent of 0002257
2006-05-17 19:11 christoph_s Relationship added parent of 0002526
2006-05-17 19:12 christoph_s Relationship added related to 0001850
2006-05-17 19:12 christoph_s Relationship added parent of 0001329
2006-05-17 19:12 christoph_s Relationship added parent of 0002221
2006-05-17 19:13 christoph_s Relationship added parent of 0002308
2006-05-17 19:14 christoph_s Relationship added parent of 0001260
2006-05-17 19:15 christoph_s Relationship added parent of 0002789
2006-05-17 19:16 christoph_s Relationship added parent of 0002222
2006-05-17 19:17 christoph_s Relationship added related to 0002097
2006-05-17 19:17 christoph_s Relationship added related to 0002295
2006-05-17 19:18 christoph_s Relationship added related to 0002364
2006-05-17 19:19 christoph_s Relationship added parent of 0002309
2006-05-17 19:20 christoph_s Relationship added related to 0002260
2006-05-17 19:20 christoph_s Relationship added parent of 0002220
2006-05-17 19:21 christoph_s Relationship added related to 0002052
2006-05-17 19:22 christoph_s Relationship added related to 0002160
2006-05-17 19:22 christoph_s Relationship added parent of 0001935
2006-05-17 19:23 christoph_s Relationship added parent of 0001580
2006-05-17 19:24 christoph_s Relationship added parent of 0001494
2006-05-17 19:24 christoph_s Relationship added parent of 0001622
2006-05-17 19:25 christoph_s Relationship replaced related to 0001622
2006-05-17 19:25 christoph_s Relationship added related to 0001621
2006-05-17 19:26 christoph_s Relationship added related to 0001933
2006-05-17 19:26 christoph_s Relationship added parent of 0001506
2006-05-17 19:27 christoph_s Relationship added related to 0001459
2006-05-17 19:28 christoph_s Relationship added parent of 0001446
2006-05-17 19:28 christoph_s Relationship added related to 0001465
2006-05-17 19:29 christoph_s Relationship added parent of 0001328
2006-05-17 19:30 christoph_s Relationship added parent of 0001240
2006-05-17 19:30 christoph_s Relationship added parent of 0000583
2006-05-17 19:31 christoph_s Relationship added parent of 0000921
2006-05-17 19:32 christoph_s Relationship added parent of 0000891
2006-05-17 19:32 christoph_s Relationship added parent of 0000892
2006-05-17 19:33 christoph_s Relationship added parent of 0000852
2006-05-17 19:33 christoph_s Relationship added parent of 0000851
2006-05-17 19:34 christoph_s Relationship added parent of 0000736
2006-05-17 19:38 christoph_s Relationship added parent of 0000729
2006-05-17 19:39 christoph_s Relationship added parent of 0000715
2006-05-17 19:39 christoph_s Relationship added parent of 0000394
2006-05-17 19:40 christoph_s Relationship added parent of 0000625
2006-05-17 19:40 christoph_s Relationship added related to 0000499
2006-05-17 19:41 christoph_s Relationship added parent of 0000495
2006-05-17 19:42 christoph_s Relationship added parent of 0000375
2006-05-17 19:42 christoph_s Relationship added parent of 0000374
2006-05-20 23:43 christoph_s Relationship added parent of 0003847
2006-05-20 23:47 christoph_s Relationship added parent of 0003846
2006-05-22 21:25 christoph_s Relationship added related to 0003854
2006-07-02 22:21 mhanski Additional Information Updated
2006-08-13 15:11 jo-hannes Relationship added parent of 0004120
2006-08-30 20:26 plinnell Relationship added parent of 0004195
2006-10-24 00:39 mhanski Relationship added parent of 0004435
2007-03-13 08:18 jghali Relationship added related to 0005445
2007-03-13 08:18 jghali Relationship added related to 0005443
2007-03-13 08:18 jghali Relationship added related to 0005405
2007-03-13 08:19 jghali Relationship added related to 0004732
2014-07-03 18:47 Kunda Relationship added parent of 0012027
2014-07-03 19:34 Kunda Relationship added parent of 0012305
2014-07-15 04:00 Kunda Relationship added parent of 0012525
2014-07-23 21:20 Kunda Relationship added parent of 0009078
2014-08-06 20:00 Kunda Relationship added parent of 0012187
2014-08-12 20:42 Kunda Relationship added parent of 0012250
2015-11-25 16:37 Kunda Patch => No
2015-11-25 16:37 Kunda Additional Information Updated View Revisions
2015-12-22 16:24 Kunda Relationship added parent of 0012770
2015-12-22 16:27 Kunda Relationship added parent of 0012771
2015-12-25 19:08 Kunda Relationship added parent of 0013495
2016-01-21 12:44 Kunda Relationship added parent of 0012252
2016-01-21 12:44 Kunda Relationship added parent of 0010841
2016-03-08 02:55 Kunda Relationship added parent of 0010112
2016-04-20 15:23 Kunda Relationship added parent of 0013968